Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4403 - Installer sets up wrong /etc/lilo.conf
Summary: Installer sets up wrong /etc/lilo.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-06 18:11 UTC by lars
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-16 18:57:25 UTC


Attachments (Terms of Use)

Description lars 1999-08-06 18:11:21 UTC
The installer sets up /etc/lilo.conf pointing to the full path of the kernel image instead of using the /boot/vmlinuz symlink.
The kernel RPMs however only upgrade the symlink, resulting in updated kernels leading to a failed system since the old kernel rpm gets removed when during a -U.

Comment 1 Jay Turner 1999-08-16 18:57:59 UTC
Refer to the kernel-HOWTO for the correct instructions for upgrading
the kernel.  In the process of upgrading the kernel, you will want to
modify the /etc/lilo.conf file to point to the new kernel image as
well as to the old kernel image so that you can safely recover if
there are problems with the new kernel.


Note You need to log in before you can comment on or make changes to this bug.